## ffmpeg 4.3.1

=== debian/changelog ===
ffmpeg (7:4.3.1-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Sep 2020 18:19:39 +0200

ffmpeg (7:4.3.1-4) unstable; urgency=medium

  * Team upload
  * debian/control: Switch to libdc1394-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Sep 2020 22:22:44 +0200

ffmpeg (7:4.3.1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 09:25:55 +0200

ffmpeg (7:4.3.1-3) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use signed tags
    + filter any .git* file
  * fix typo in README.Debian
  * drop lintian override for typo fixed upstream
  * remove myelf as uploader

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Sebastian Ramacher ]
  * Set Bug-Database, Repository-Browse and Security-Contact

  [ Pino Toscano ]
  * Disable pocketsphinx on few more architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Sep 2020 18:15:33 +0200

ffmpeg (7:4.3.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Aug 2020 14:33:53 +0200

ffmpeg (7:4.3.1-2) unstable; urgency=medium

  * avoid linking with pocketsphinx on bigendian archs;
    closes: bug#968456, thanks to John David Anglin

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Aug 2020 23:08:50 +0200

ffmpeg (7:4.3.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 08:16:19 +0200

ffmpeg (7:4.3.1-1) unstable; urgency=high

  [ upstream ]
  * new maintenance release
    + fix libavformat heap-based buffer overflow in avio_get_str
      (CVE-2020-14212)
    + fix libavformat use-after-free in hls
      (CVE-2020-13904)

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream
    to avoid libswscale segfault on SSSE3 capable systems
    closes: bug#964312, thanks to Jörg Schütter
  * Document omitted features in README.Debian and TODO.Debian
    (not rules file comments)
  * use debhelper compatibility level 12 (not 13)
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Aug 2020 16:10:03 +0200

ffmpeg (7:4.3-3ubuntu2) groovy; urgency=medium

  * No-change rebuild for x264/x265 soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2020 11:42:44 +0200

ffmpeg (7:4.3-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jul 2020 08:53:06 +0200

ffmpeg (7:4.3-2ubuntu2) groovy; urgency=medium

  * Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 20:40:15 +0200

ffmpeg (7:4.3-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jun 2020 23:52:34 +0200

ffmpeg (7:4.2.2-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 12:55:09 +0200
