## ffmpeg 4.3.2

=== debian/changelog ===
ffmpeg (7:4.3.2-0+deb11u1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/control: restore alternative BDs for libfontconfig1-dev and
    libdc1394-22-dev, add nv-codec-headers.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Mar 2021 06:19:36 -0800

ffmpeg (7:4.3.2-0+deb11u1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Branch off for bullseye
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 22:19:57 +0100

ffmpeg (7:4.3.1-8) unstable; urgency=medium

  * Team upload
  * debian/patches: pusdec: do not fail when LBRR frames are present

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2021 19:54:17 +0100

ffmpeg (7:4.3.1-7) unstable; urgency=medium

  * Team upload

  [ Vasyl Gello ]
  * Keep libfreetype6-dev as alternative dep for buster-bpo

  [ Sebastian Ramacher ]
  * debian/patches:
    - Apply upstream patches for srt 1.4.1
    - Fix build on powerpc and ppc64 (Closes: #968574)
  * debian/: Revert "Temporarily disable srt support" (Closes: #975988,
    #972556)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Jan 2021 20:36:50 +0100

ffmpeg (7:4.3.1-6) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump Standards-Version
    - Drop obsolete Build-Depends
    - Switch to libfontconfig-dev and libfreetype-dev
  * debian/patches:
    - Fix out-of-bounds write in libavcodec/exr.c (Closes: #980000)
      (CVE-2020-35964)
    - Fix out-of-bounds write in libavcodec/vividas.c (Closes: #979999)
      (CVE-2020-35965)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jan 2021 20:48:08 +0100

ffmpeg (7:4.3.1-5) unstable; urgency=medium

  * Team upload
  * debian/: Temporarily disable libsrt support (see #972556 and #971754)
    Once libsrt provides a stable ABI, support can be reenabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Oct 2020 09:38:59 +0100
