=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
           Alexander Strasser <eclipse7@gmx.net>,
           Reinhard Tartler <siretart@tauware.de>,
           Balint Reczey <balint@balintreczey.hu>,
           James Cowgill <jcowgill@debian.org>
Rules-Requires-Root: no
Homepage: https://ffmpeg.org/
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
Build-Depends-Indep: cleancss, doxygen, node-less, tree
Build-Depends: debhelper-compat (= 12),
               flite1-dev,
               frei0r-plugins-dev <!pkg.ffmpeg.stage1>,
               ladspa-sdk,
               libaom-dev,
               libaribb24-dev,
               libass-dev,
               libavc1394-dev [linux-any],
               libbluray-dev,
               libbs2b-dev,
               libbz2-dev,
               libcaca-dev,
               libcdio-paranoia-dev,
               libchromaprint-dev <!pkg.ffmpeg.stage1>,
               libcodec2-dev,
               libdav1d-dev,
               libdc1394-dev [linux-any] | libdc1394-22-dev  [linux-any],
               libdrm-dev [linux-any],
               libfontconfig-dev | libfontconfig1-dev,
               libfreetype-dev | libfreetype6-dev,
               libfribidi-dev,
               libgl1-mesa-dev,
               libgme-dev,
               libgnutls28-dev | libgnutls-dev,
               libgsm1-dev,
               libiec61883-dev [linux-any],
               libjack-jackd2-dev,
               liblensfun-dev,
               liblilv-dev,
               liblzma-dev,
               libmfx-dev [amd64],
               libmp3lame-dev,
               libmysofa-dev,
               libomxil-bellagio-dev,
               libopenal-dev,
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               libopenjp2-7-dev (>= 2.1),
               libopenmpt-dev,
               libopus-dev,
               libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !ia64 !m68k !mipsel !mips64el !powerpc !ppc64 !s390x !sparc64],
               libpulse-dev,
               librabbitmq-dev,
               librsvg2-dev,
               librubberband-dev,
               libsctp-dev [linux-any],
               libsdl2-dev,
               libshine-dev (>= 3.0.0),
               libsnappy-dev,
               libsoxr-dev,
               libspeex-dev,
               libsrt-gnutls-dev,
               libssh-gcrypt-dev,
               libtesseract-dev,
               libtheora-dev,
               libtwolame-dev,
               libva-dev (>= 1.3) [!hurd-any],
               libvdpau-dev,
               libvidstab-dev,
               libvo-amrwbenc-dev,
               libvorbis-dev,
               libvpx-dev,
               libwavpack-dev,
               libwebp-dev,
               libx264-dev <!pkg.ffmpeg.stage1>,
               libx265-dev (>= 1.8),
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxml2-dev,
               libxv-dev,
               libxvidcore-dev,
               libxvmc-dev,
               libzmq3-dev,
               libzvbi-dev,
               nasm,
               nv-codec-headers,
               ocl-icd-opencl-dev | opencl-dev,
               pkg-config,
               pkg-kde-tools,
               texinfo,
               zlib1g-dev

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg-doc
Breaks: libav-tools (<< 6:12~~),
        qt-faststart (<< 7:2.7.1-3~),
        winff (<< 1.5.5-5~)
Replaces: libav-tools (<< 6:12~~), qt-faststart (<< 7:2.7.1-3~)
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-extra58
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libavcodec58
Provides: libavcodec58 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec58 package and contains the
 following additional codecs:
 .
  * ARIB STD-B24 Captions (Subtitle Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Architecture: any
Section: metapackages
Multi-Arch: same
Depends: libavcodec-extra58 (= ${binary:Version}), ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.

Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavcodec58 (= ${binary:Version}),
         libavutil-dev (= ${binary:Version}),
         libswresample-dev (= ${binary:Version}),
         ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the development files.

Package: libavdevice58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavcodec-dev (= ${binary:Version}),
         libavdevice58 (= ${binary:Version}),
         libavfilter-dev (= ${binary:Version}),
         libavformat-dev (= ${binary:Version}),
         libavutil-dev (= ${binary:Version}),
         libpostproc-dev (= ${binary:Version}),
         libswresample-dev (= ${binary:Version}),
         libswscale-dev (= ${binary:Version}),
         ${misc:Depends}
Description: FFmpeg library for handling input and output devices - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the development files.

Package: libavfilter7
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg library containing media filters - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic audio/video filtering framework containing
 several filters, sources and sinks.
 .
 This package contains the runtime files.

Package: libavfilter-extra7
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libavfilter7
Provides: libavfilter7 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg library with extra media filters - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
