=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	--enable-sdl2
 
 # avoid pocketsphinx on mips (bug#812335), alpha, ia64 and big-endian (bug#968456)
-ifeq (,$(filter i386 mips% alpha ia64,$(DEB_HOST_ARCH))$(filter big,$(DEB_HOST_ARCH_ENDIAN)))
+ifeq (,$(filter mips% alpha ia64,$(DEB_HOST_ARCH))$(filter big,$(DEB_HOST_ARCH_ENDIAN)))
 	CONFIG += --enable-pocketsphinx
 endif
 
@@ -128,11 +128,6 @@
 	CONFIG += --enable-libdc1394 \
 		--enable-libdrm \
 		--enable-libiec61883
-endif
-
-# Enable nvenc on amd64 only; not supported on other architectures.
-ifeq ($(DEB_HOST_ARCH),amd64)
-	CONFIG += --enable-nvenc
 endif
 
 # ffmpeg is involved in build-dependency cycles with x264 and chromaprint, so disable them in stage one.
@@ -253,3 +248,5 @@
 	$(info $()   debian/rules $@)
 	dh_auto_build -a --sourcedirectory=debian/$* || (cat debian/$*/config.log && exit 1)
 
+# Set the library path for the dynamic linker, because the tests otherwise don't find the libraries.
+override_dh_auto_test-arch:
