## ffmpeg 4.3.3

=== debian/changelog ===
ffmpeg (7:4.3.3-0+deb11u1) bullseye-security; urgency=medium

  * New upstream version 4.3.3
    - Fixes various security issues:
      CVE-2020-20446
      CVE-2020-20450
      CVE-2020-20453
      CVE-2020-22037
      CVE-2020-22042
      CVE-2021-38114
      CVE-2021-38171
      CVE-2021-38291
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 28 Oct 2021 22:55:17 +0200

ffmpeg (7:4.3.2-0+deb11u2) unstable; urgency=medium

  * debian/patches: Apply upstream patches for CVEs (Closes: #989439)
    - avfilter/vf_vmafmotion: Fix out-of-bounds access (CVE-2020-22019, CVE-2020-22033)
    - avfilter/vf_yadif: Fix out-of-bounds access (CVE-2020-22021)
    - avformat/movenc: Fix out-of-bounds access (CVE-2020-22015)
    - avcodec/pngen: Fix buffer overflow (CVE-2020-21041)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jun 2021 22:34:50 +0200
