## ffmpeg 4.3.4

=== debian/changelog ===
ffmpeg (7:4.3.4-0+deb11u1+mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * BD on libffmpeg-nvenc-dev to enable NVENC.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 May 2022 14:08:27 -0700

ffmpeg (7:4.3.4-0+deb11u1) bullseye-security; urgency=medium

  * New upstream version 4.3.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Apr 2022 22:26:21 +0200
