=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
            Alexander Strasser <eclipse7@gmx.net>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -14,7 +13,7 @@
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
 Build-Depends-Indep: cleancss, doxygen, node-less, tree
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                flite1-dev,
                frei0r-plugins-dev <!pkg.ffmpeg.stage1>,
                ladspa-sdk,
@@ -30,9 +29,9 @@
                libchromaprint-dev <!pkg.ffmpeg.stage1>,
                libcodec2-dev,
                libdav1d-dev,
-               libdc1394-dev [linux-any] | libdc1394-22-dev  [linux-any],
+               libdc1394-dev [linux-any],
                libdrm-dev [linux-any],
-               libfontconfig-dev | libfontconfig1-dev,
+               libfontconfig-dev,
                libfreetype-dev | libfreetype6-dev,
                libfribidi-dev,
                libgl1-mesa-dev,
@@ -47,6 +46,7 @@
                libmfx-dev [amd64],
                libmp3lame-dev,
                libmysofa-dev,
+               libffmpeg-nvenc-dev,
                libomxil-bellagio-dev,
                libopenal-dev,
                libopencore-amrnb-dev,
@@ -90,7 +90,6 @@
                libzmq3-dev,
                libzvbi-dev,
                nasm,
-               nv-codec-headers,
                ocl-icd-opencl-dev | opencl-dev,
                pkg-config,
                pkg-kde-tools,
@@ -298,3 +297,5 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: FFmpeg library with extra media filters - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
+ mux, demux, stream, filter and play pretty much anything that humans and
+ machines have created. It supports the most obscure ancient formats up to the
