## ffmpeg 4.3.5

=== debian/changelog ===
ffmpeg (7:4.3.5-0.1+mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add libffmpeg-nvenc-dev to build-deps to enable nvenc.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 04 Nov 2022 14:34:03 -0700

ffmpeg (7:4.3.5-0+deb11u1) bullseye-security; urgency=medium

  * New upstream release 4.3.5
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 29 Oct 2022 12:35:02 +0200
