=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
            Alexander Strasser <eclipse7@gmx.net>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -31,6 +32,7 @@
                libdav1d-dev,
                libdc1394-dev [linux-any],
                libdrm-dev [linux-any],
+               libffmpeg-nvenc-dev,
                libfontconfig-dev,
                libfreetype-dev | libfreetype6-dev,
                libfribidi-dev,
@@ -46,7 +48,6 @@
                libmfx-dev [amd64],
                libmp3lame-dev,
                libmysofa-dev,
-               libffmpeg-nvenc-dev,
                libomxil-bellagio-dev,
                libopenal-dev,
                libopencore-amrnb-dev,
@@ -298,4 +299,3 @@
 Description: FFmpeg library with extra media filters - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
- machines have created. It supports the most obscure ancient formats up to the
